/*
*	Code-60.cpp
*
*	Author: M. Reza Mozaffari
*	Physics Group, University of Qom
*	Created on: Nov. 2020
*/

#include <iostream>
#include <fstream> // writting anf reading in files
#include <cmath>
#include <vector>
#include <cassert>
#include <iomanip>

using namespace std;

int main ()
{
	double a {0.0}, b {3.1415}, dx {0};
	int n {100};
	dx = (b - a)/static_cast<double>(n);
	
	vector<double> x (n+1, 0.0);
	vector<double> f (n+1, 0.0);
	
	for(int i=0; i<(n+1); i++)
	{
		x[i] = a + i*dx;
		f[i] = sin(x[i]);
	}
	
	// Output files
	// open OutFile
	ofstream OutFile ("outputs/out.txt");
	assert(OutFile.is_open());
//	OutFile.precision (6);
	for(int i=0; i<(n+1); i++)
		OutFile << x[i] << " " << f[i] << "\n";

	// close OutFile
	OutFile.close();
	
	return 0;
}
